<?xml version="1.0" encoding="utf-8"?>
<!DOCTYPE hibernate-mapping PUBLIC "-//Hibernate/Hibernate Mapping DTD 3.0//EN"
"http://hibernate.sourceforge.net/hibernate-mapping-3.0.dtd">
<!-- 
    Mapping file autogenerated by MyEclipse Persistence Tools
-->
<hibernate-mapping>
    <class name="cn.exlive.mygpsonline.bean.UserMarker" table="UserMarker" schema="dbo" catalog="gserver_synth" dynamic-insert="true" dynamic-update="true">
        <id name="id" type="java.lang.Integer">
            <column name="id" />
            <generator class="native"></generator>
        </id>
        <property name="createtime" type="java.sql.Timestamp">
            <column name="createtime" length="23"  />
        </property>
        <property name="overduetime" type="java.sql.Timestamp">
            <column name="overduetime" length="23"  />
        </property>
        <property name="updatetime" type="java.sql.Timestamp">
            <column name="updatetime" length="23" />
        </property>
        <property name="creater" type="java.lang.Integer">
            <column name="creater" not-null="true" />
        </property>
        <property name="gserverid" type="java.lang.String">
            <column name="gserverid" length="20"  />
        </property>
        <property name="text" type="java.lang.String">
            <column name="text" length="250"  />
        </property>
        <property name="title" type="java.lang.String">
            <column name="title" length="50"  />
        </property>
        <property name="icon" type="java.lang.String">
            <column name="icon" length="100"  />
        </property>
        <property name="markType" type="java.lang.Integer">
            <column name="mark_type"  />
        </property>
         <property name="bzType" type="java.lang.Integer">
            <column name="mark_attr"  />
        </property>
        <property name="shareType" type="java.lang.Integer">
            <column name="share_type"  />
        </property>
        <property name="state" type="java.lang.Integer">
            <column name="state"  />
        </property>
        <property name="visitCounter" type="java.lang.Integer">
            <column name="visit_counter"  />
        </property>
        <property name="lat1" type="java.lang.Double">
            <column name="lat1" precision="53" scale="0"  />
        </property>
        <property name="lng1" type="java.lang.Double">
            <column name="lng1" precision="53" scale="0"  />
        </property>
        <property name="lat2" type="java.lang.Double">
            <column name="lat2" precision="53" scale="0"  />
        </property>
        <property name="lng2" type="java.lang.Double">
            <column name="lng2" precision="53" scale="0"  />
        </property>
        <property name="blat" type="java.lang.Double">
            <column name="blat" precision="53" scale="0"  />
        </property>
        <property name="blng" type="java.lang.Double">
            <column name="blng" precision="53" scale="0"  />
        </property>
        <property name="zlat" type="java.lang.Double">
            <column name="zlat" precision="53" scale="0"  />
        </property>
        <property name="zlng" type="java.lang.Double">
            <column name="zlng" precision="53" scale="0"  />
        </property>
        <property name="parentid" type="java.lang.Integer">
            <column name="parentid"  />
        </property>
        <property name="memo" type="java.lang.String">
            <column name="memo" length="50"  />
        </property>
        <property name="markcode" type="java.lang.String">
            <column name="markcode" length="50"  />
        </property>
        <property name="markAttr" type="java.lang.Integer">
            <column name="bz_type"  />
        </property>
        <property name="entcode" type="java.lang.Integer">
            <column name="entcode"  />
        </property>
        <property name="groupid" type="java.lang.Integer">
            <column name="groupid"  />
        </property>
    </class>
</hibernate-mapping>
